<?php

	include('database.php');
	DB_connexion(); 

?>

<html>
<head>
<script>

	function mise_jour_joueur2()
	{
				var xhr = getXhr();
				
				document.getElementById("div_joueur2").style.visibility='visible';
				
				xhr.onreadystatechange = function(){
					// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
					if(xhr.readyState == 4 && xhr.status == 200){
						leselect = xhr.responseText;
						// On se sert de innerHTML pour rajouter les options a la liste
						document.getElementById('div_joueur2').innerHTML = leselect;
					}
				}

				// Ici on va voir comment faire du post
				xhr.open("POST","dick.php",true);
				// ne pas oublier ça pour le post
				xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				// ne pas oublier de poster les arguments
				// ici, l'id de Catégorie
				sel = document.getElementById('joueur1');
				idcategorie = sel.options[sel.selectedIndex].value;
				xhr.send("idcategorie="+idcategorie);
				
				
	}


function filtre()
{

	var choix1 = document.getElementById("choix1").checked;
	var choix2 = document.getElementById("choix2").checked;
	
	var joueur = document.getElementById("joueur").value;
	var resultat = document.getElementById("resultat").value;
	
	/*if (str=="")
	{
		document.getElementById("txtHint").innerHTML="";
		return;
	}*/

	if (window.XMLHttpRequest)
	{// code IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();
	}
	else
	{	// code IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange=function()
			{
				if (xmlhttp.readyState==4 && xmlhttp.status==200)
				{
					document.getElementById("txtHint").innerHTML=xmlhttp.responseText;
				}
			}

			// étude des cas
			if(choix1 == true)
			{   // liste les parties jouées
				var str = "joueur1="+joueur1+"joueur2="+joueur2+"&resultat="+resultat;
				
				
			}
			
			
			
			var str = "joueur="+joueur+"&resultat="+resultat;
			//alert(str);
			//var variables = "name=David&string=Hello World";
			//xmlhttp.open("GET","filtre.php?q="+str,true);
			xmlhttp.open("GET","filtre.php?"+str,true);
			xmlhttp.send();
}

function filtre_joueur2(ptr)
{
	alert("zorro");
}


function showUser(str)
{
if (str=="")
  {
  document.getElementById("txtHint").innerHTML="";
  return;
  }
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("txtHint").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","filtre.php?q="+str,true);
xmlhttp.send();
}
</script>

		</head>
		<body>

		
		<form method="post" id="form_selection_filtre" action="selection.php" >
		
		<input type="checkbox" id="choix1" name="choix1" value="1">Joueur1
		<select id="joueur1" name="joueur1" onchange="mise_jour_joueur2()">
<?php
		$requete = "SELECT * FROM joueurs";
	    $result = mysql_query($requete);
					
		while($val = mysql_fetch_array($result)) 
		{
			echo "<option>".$val["nom"]."</option>";
		}
?>
		</select>
		
		<!------------------------------------------------------------------->

		<div id='div_joueur2' style="visibility: hidden;"  >
		<input type="checkbox" id="choix2" name="choix2" value="2">Joueur2
<!--	<select id="joueur" name="joueur" onchange="active_joueur46542(this.value)"> -->
		<select id='joueur2' name='joueur2'  ">  
		</select>
		</div> 
		
		<!------------------------------------------------------------------->
		
		<input type="checkbox" id="choix3" name="choix3" value="3">Résultat
		<select id="resultat" name="resultat" onchange="aaashowUser(this.value)">
		<option>Gagnant</option>
		<option>Perdant</option>
		<option>Match nul</option>
		</select>
		<input type="button" value = "Filtre" onClick="filtre()"> 
		</form>
		<br>
		<div id="txtHint"><b>Liste.</b>
		</div>

		</body>
		</html> 